Quagga 直到1.0 bgpd bgp_mplsvpn.c bgp_nlri_parse_vpnv4 内存损坏

CVSS 元温度得分当前攻击价格 (≈)CTI兴趣分数
7.9$0-$5k0.00

分类为致命的漏洞曾在Quagga 直到1.0中发现。 此漏洞会影响功能 bgp_nlri_parse_vpnv4文件 bgp_mplsvpn.c的组件bgpd。 手动调试的不合法输入可导致 内存损坏。 漏洞的CWE定义是 CWE-119。 此漏洞的脆弱性 2016-03-17由公示人Kostya Kortchinsky、 (Website)所发布。 分享公告的网址是kb.cert.org

该漏洞唯一标识为CVE-2016-2342, CVE分配信息格式:2016-02-12。 攻击可以远程发起, 有技术细节可用。 攻击复杂性相当高。 漏洞可利用性据称较为困难。 该漏洞的知名度低于平均水平, 没有可利用漏洞。 当前漏洞利用价值为美元大约是 $0-$5k。

它被宣布为未定义。 我们估计的零日攻击价值约为$0-$5k。 漏洞扫描器Nessus提供了一个插件,插件ID为90207 (Debian DSA-3532-1 : quagga - security update)有助于判断目标环境中是否存在缺陷, 它已分配至系列:Debian Local Security Checks, 该插件在类型为l的背景下运行。 商业漏洞扫描器Qualys能够使用插件196438 (Ubuntu Security Notification for Quagga Vulnerabilities (USN-2941-1))检测此问题。

升级到版本1.0.20160309能够解决此问题。 建议对受到影响的组件升级。 该漏洞被披露后,2 周发表过可能的缓解措施。

该漏洞也记录在其他漏洞数据库中: SecurityFocus (BID 84318), Vulnerability Center (SBV-57653) , Tenable (90207)。

产品信息

类型

名称

版本

许可证

CPE 2.3信息

CPE 2.2信息

CVSSv4信息

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB 向量: 🔍
VulDB 可靠性: 🔍

CVSSv3信息

VulDB 元基础分数: 8.1
VulDB 元温度得分: 7.9

VulDB 基本分数: 8.1
VulDB 温度得分: 7.7
VulDB 向量: 🔍
VulDB 可靠性: 🔍

NVD 基本分数: 8.1
NVD 向量: 🔍

CVSSv2信息

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
向量复杂度身份验证保密正直可用性
开锁开锁开锁开锁开锁开锁
开锁开锁开锁开锁开锁开锁
开锁开锁开锁开锁开锁开锁

VulDB 基本分数: 🔍
VulDB 温度得分: 🔍
VulDB 可靠性: 🔍

NVD 基本分数: 🔍

攻击信息

分类: 内存损坏
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

本地: 否
远程: 是

可用性: 🔍
地位: 未定义

EPSS Score: 🔍
EPSS Percentile: 🔍

价格预测: 🔍
当前价格估算: 🔍

0-Day开锁开锁开锁开锁
今天开锁开锁开锁开锁

Nessus ID: 90207
Nessus 名称: Debian DSA-3532-1 : quagga - security update
Nessus 文件: 🔍
Nessus 风险: 🔍
Nessus 家庭: 🔍
Nessus Context: 🔍

OpenVAS ID: 841810
OpenVAS 名称: Ubuntu Update for quagga USN-2941-1
OpenVAS 文件: 🔍
OpenVAS 家庭: 🔍

Qualys ID: 🔍
Qualys 名称: 🔍

威胁情报信息

利益: 🔍
活跃演员: 🔍
活跃的 APT 团体: 🔍

对策信息

建议: 升级
地位: 🔍

反应时间: 🔍
0天时间: 🔍
曝光时间: 🔍

升级: Quagga 1.0.20160309
补丁: git.savannah.gnu.org

时间轴信息

2016-02-12 🔍
2016-03-10 +27 日 🔍
2016-03-11 +1 日 🔍
2016-03-17 +6 日 🔍
2016-03-17 +0 日 🔍
2016-03-18 +1 日 🔍
2016-03-23 +5 日 🔍
2016-03-27 +4 日 🔍
2016-03-28 +1 日 🔍
2022-07-10 +2295 日 🔍

来源信息

公告: USN-2941-1
研究人员: Kostya Kortchinsky
地位: 未定义
确认: 🔍

CVE: CVE-2016-2342 (🔍)
OVAL: 🔍

SecurityFocus: 84318 - Quagga CVE-2016-2342 Stack Buffer Overflow Vulnerability
Vulnerability Center: 57653 - Quagga before 1.0.20160309 Remote Code Execution or DoS via a Crafted Packet, High

另见: 🔍

条目信息

已创建: 2016-03-18 08時44分
已更新: 2022-07-10 14時15分
更改: 2016-03-18 08時44分 (74), 2019-02-02 11時27分 (14), 2022-07-10 14時11分 (4), 2022-07-10 14時15分 (1)
完整: 🔍
Cache ID: 44:BC2:40

讨论

暂时没有任何评论。 语言: zh + en.

请登录后发表评论。

Do you want to use VulDB in your project?

Use the official API to access entries easily!